ChiliProject - Feature # 135: Web Statistics

Status: Declined Priority: Normal
Author: Derek Montgomery Category:

Created: 2011-02-03 Assignee: Eric Davis
Updated: 2011-02-05 Due date:

Remote issue URL:

Affected version:

Description: Rather than relying on a template or a view modification, it would be nice if CP would allow in the configuration
settings to paste a web statistics tag (Piwik, Google Analytics, AWStats, ...) that would be then appended to
each page footer.

(Putting this in 'User interface' category because | don't know if you consider user both as regular users and
admins or not, and | don't see 'Admins interface' category).

History

2011-02-03 01:25 pm - Felix Schafer

Mmbh, there's a plugin for that already (for the google thing at least), not sure I'd want/need it in core.

2011-02-03 02:02 pm - Derek Montgomery
- Assignee set to Eric Davis

- Status changed from Open to Ready for review

| found it: [[https://github.com/edavis10/redmine-google-analytics-plugin]]

It seems to work for any statistics tag, so might as well change its name to something more generic. I'll let Eric decide if he wants to do it or if | should
fork it.

Thanks Felix.

2011-02-04 01:33 am - Eric Davis

That plugin is so simple | might try to rewrite it and rename it at the same time. There are a few other features I'd want to add too.

2011-02-04 06:39 am - Derek Montgomery

It is indeed so simple that | could do something about it :)

I made a fork (my first) last night so tell me if | did anything wrong regarding code, ethics or anything else.

2011-02-05 01:07 am - Eric Davis

- Subject changed from Statistics to Web Statistics

- Category deleted (User interface)

- Status changed from Ready for review to Declined

We need to do a bit of work on the plugin best practices but great job on taking action.

New link is at https://github.com/deurk/chiliproject_web_analytics
I'm going to mark this as Declined since it's best handled in a plugin.
2011-02-05 07:53 am - Derek Montgomery
Eric Davis wrote:

> We need to do a bit of work on the plugin best practices

I'd be happy to have best practices to follow :)
Thanks.
